F3(1)

NAME
f3write, f3read - test real flash memory capacity

SYNOPSIS
f3write [--start-at=NUM] [--end-at=NUM] <PATH>
f3read  [--start-at=NUM] [--end-at=NUM] <PATH>

DESCRIPTION
F3 (Fight Flash Fraud or Fight Fake Flash) tests the full capacity of a flash card (flash drive, flash disk, pendrive). It writes to the card and then checks if can read it. It will assure you haven't been sold a card with a smaller capacity than stated.

When writing to flash drive, f3write fills the filesystem with 1GB files named N.h2w, where N is a number (i.e. /[0-9]+/).

WARNING: all data on the tested disk might be lost!

OPTIONS

--start-at=NUM
    Initial number of file names. Default value is 1.

--end-at=NUM
    Final number of file names. Default value is "infinity".

EXAMPLE
To write over a flash drive mounted at /media/TEST:

      $ f3write /media/TEST

To read this flash drive:

      $ f3read /media/TEST

SEE ALSO
For detailed information about the F3 tools, see:

https://fight-flash-fraud.readthedocs.io/en/stable/

AUTHOR
F3 was written by Michel Machado <michel@digirati.com.br>. This manual page was first written by Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>.